.container {
    display: flex;
    flex-direction: row;
    align-items: center;
    position: relative;
}

.radio {
    opacity: 0;
    visibility: hidden;
    position: absolute;
}

.radio:checked+.check::after{
    opacity: 1;
    transform: scale(1);
}

.check {
    width: 25px;
    height: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    left: 0;
    border-radius: 100px;
    background-color: #FFF;

    transition: all 0.35s cubic-bezier(0, 1.05, 0.72, 1.07);
}

.primary {
    border: 2px solid var(--primary-color);
    box-shadow: 0px 0px 0px 0px var(--primary-color) inset;
}

.radio:checked+.primary{
    border-color: var(--primary-color);
    box-shadow: 0px 0px 0px 15px var(--primary-color) inset;
}
.secondary {
    border: 2px solid var(--secondary-color);
    box-shadow: 0px 0px 0px 0px var(--secondary-color) inset;
}

.radio:checked+.secondary{
    border-color: var(--secondary-color);
    box-shadow: 0px 0px 0px 15px var(--secondary-color) inset;
}

.check::after {
    content: '';
    width: 100%;
    height: 100%;
    opacity: 0;
    z-index: 4;
    position: absolute;
    transform: scale(0);
    background-size: 50%;
    background-image: url('https://s6.picofile.com/d/8392306668/bacc888c-bed7-41a9-bf24-f6ff0718f471/checkmark.svg');
    background-repeat: no-repeat;
    background-position: center;
    transition-delay: 0.2s !important;
    transition: all 0.25s cubic-bezier(0, 1.05, 0.72, 1.07);
}


.label {
    font-size: 20px;
    color: #333;
    padding-left: 35px;
    cursor: pointer;
    z-index: 10;
    font-family: var(--primary-font);
}
